Skip to main content
`Ctrl`+`K`

# PCFactorSetReuseFill

When matrices with different nonzero structure are factored, this causes later ones to use the fill ratio computed in the initial factorization.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetReuseFill(PC pc, PetscBool flag)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- flag - `PETSC_TRUE` to reuse else `PETSC_FALSE`

## Options Database Key

- -pc_factor_reuse_fill - Activates `PCFactorSetReuseFill()`

## See Also

KSP: Linear System Solvers, `PCLU`, `PCCHOLESKY`, `PCILU`, `PCICC`, `PCFactorSetReuseOrdering()`, `PCFactorSetFill()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorSetReuseFill_Factor() in src/ksp/pc/impls/factor/factor.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages